GitHub webhook ingress
curl --request POST \
--url https://api.openworklabs.com/v1/webhooks/connectors/githubimport requests
url = "https://api.openworklabs.com/v1/webhooks/connectors/github"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.openworklabs.com/v1/webhooks/connectors/github', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"accepted": true,
"reason": "<string>"
}{
"ok": true,
"accepted": true,
"deliveryId": "<string>",
"queued": true
}{
"ok": true,
"error": "<string>"
}Webhooks
GitHub webhook ingress
Verifies a GitHub App webhook signature against the raw request body, then records any relevant sync work.
POST
/
v1
/
webhooks
/
connectors
/
github
GitHub webhook ingress
Was this page helpful?
⌘I